Bug 989827 - [abrt] gdb-7.5.1-38.fc18: insertdict: Process /usr/bin/gdb was killed by signal 11 (SIGSEGV)
[abrt] gdb-7.5.1-38.fc18: insertdict: Process /usr/bin/gdb was killed by sign...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:a69f67d46d7eeccb7e6530e71fe...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 23:06 EDT by Moez Roy
Modified: 2014-02-05 17:12 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:12:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (51.13 KB, text/plain)
2013-07-29 23:06 EDT, Moez Roy
no flags Details
File: cgroup (156 bytes, text/plain)
2013-07-29 23:06 EDT, Moez Roy
no flags Details
File: core_backtrace (4.39 KB, text/plain)
2013-07-29 23:06 EDT, Moez Roy
no flags Details
File: dso_list (1.38 KB, text/plain)
2013-07-29 23:06 EDT, Moez Roy
no flags Details
File: environ (325 bytes, text/plain)
2013-07-29 23:06 EDT, Moez Roy
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-29 23:06 EDT, Moez Roy
no flags Details
File: maps (7.21 KB, text/plain)
2013-07-29 23:06 EDT, Moez Roy
no flags Details
File: open_fds (454 bytes, text/plain)
2013-07-29 23:06 EDT, Moez Roy
no flags Details
File: proc_pid_status (893 bytes, text/plain)
2013-07-29 23:06 EDT, Moez Roy
no flags Details
File: var_log_messages (5.28 KB, text/plain)
2013-07-29 23:06 EDT, Moez Roy
no flags Details

  None (edit)
Description Moez Roy 2013-07-29 23:06:01 EDT
Version-Release number of selected component:
gdb-7.5.1-38.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        gdb -batch -ex 'set debug-file-directory /' -ex 'file /usr/bin/gdb' -ex 'core-file ./coredump' -ex 'thread apply all backtrace 1024 full' -ex 'info sharedlib' -ex 'print (char*)__abort_msg' -ex 'print (char*)__glib_assert_msg' -ex 'info registers' -ex disassemble
crash_function: insertdict
executable:     /usr/bin/gdb
kernel:         3.9.11-200.fc18.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 insertdict at /usr/src/debug/Python-2.7.3/Objects/dictobject.c:539
 #1 PyDict_SetItem at /usr/src/debug/Python-2.7.3/Objects/dictobject.c:784
 #2 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.3/Python/ceval.c:1780
 #3 PyEval_EvalCodeEx at /usr/src/debug/Python-2.7.3/Python/ceval.c:3330
 #4 fast_function at /usr/src/debug/Python-2.7.3/Python/ceval.c:4194
 #5 call_function at /usr/src/debug/Python-2.7.3/Python/ceval.c:4119
 #6 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.3/Python/ceval.c:2740
 #7 fast_function at /usr/src/debug/Python-2.7.3/Python/ceval.c:4184
 #8 call_function at /usr/src/debug/Python-2.7.3/Python/ceval.c:4119
 #9 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.3/Python/ceval.c:2740
Comment 1 Moez Roy 2013-07-29 23:06:06 EDT
Created attachment 780291 [details]
File: backtrace
Comment 2 Moez Roy 2013-07-29 23:06:10 EDT
Created attachment 780292 [details]
File: cgroup
Comment 3 Moez Roy 2013-07-29 23:06:14 EDT
Created attachment 780293 [details]
File: core_backtrace
Comment 4 Moez Roy 2013-07-29 23:06:17 EDT
Created attachment 780294 [details]
File: dso_list
Comment 5 Moez Roy 2013-07-29 23:06:23 EDT
Created attachment 780295 [details]
File: environ
Comment 6 Moez Roy 2013-07-29 23:06:27 EDT
Created attachment 780296 [details]
File: limits
Comment 7 Moez Roy 2013-07-29 23:06:31 EDT
Created attachment 780297 [details]
File: maps
Comment 8 Moez Roy 2013-07-29 23:06:34 EDT
Created attachment 780298 [details]
File: open_fds
Comment 9 Moez Roy 2013-07-29 23:06:38 EDT
Created attachment 780299 [details]
File: proc_pid_status
Comment 10 Moez Roy 2013-07-29 23:06:42 EDT
Created attachment 780300 [details]
File: var_log_messages
Comment 11 Tom Tromey 2013-08-05 13:10:42 EDT
A crash in Python initialization; not a gdb bug.
Comment 12 Fedora End Of Life 2013-12-21 09:24:36 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 17:12:34 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.